#
# spec file for package tkimg
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tkimg
BuildRequires:  tcllib
BuildRequires:  tk-devel
BuildRequires:  xorg-x11-devel
Url:            http://sourceforge.net/projects/tkimg
Summary:        More Image Formats for Tk
License:        BSD-3-Clause
Group:          Development/Libraries/Tcl
Version:        1.4
Release:        8.1
Source0:        %{name}%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains a collection of image format handlers for the Tk
photo image type, and a new image type, pixmaps.

The provided format handlers include bmp, gif, ico, jpeg, pcx, png,
ppm, ps, sgi, sun, tga, tiff, xbm, and xpm.

%package devel
Summary:        Header Files and C API Documentation for tkimg
Group:          Development/Libraries/Tcl

%description devel
Files needed to compile/link C code against tkimg.

%prep
%setup -q -n %name%{version}

%build
%configure \
        --libdir=%tcl_archdir \
        --with-tcl=%_libdir \
        --with-tk=%_libdir
make

%check
make test

%install
%makeinstall INSTALL_ROOT=%buildroot
chmod a-x %buildroot%tcl_archdir/*/*.a

%files
%defattr(-,root,root,-)
%doc ANNOUNCE ChangeLog README Reorganization.Notes.txt
%doc changes license.terms doc/*.htm demo.tcl
%doc %_mandir/*/*
%tcl_archdir/*
%exclude %tcl_archdir/*/*.a

%files devel
%defattr(-,root,root,-)
%_includedir/*
%tcl_archdir/*/*.a

%changelog
* Tue Jul 16 2013 max@suse.com
- Update to version 1.4:
  * obsoletes all patches we've had so far.
- Spec file cleanup
- Split off a devel package
* Wed Sep 26 2012 max@suse.com
- Add libjpeg-devel to BuildRequires to fix the build of img::jpeg
  (bnc#780670).
* Tue Dec 20 2011 coolo@suse.com
- add autoconf as buildrequire to avoid implicit dependency
* Wed May 21 2008 max@suse.de
- Fix a crash with malformed GIF images (bnc#386009, CVE-2008-0553)
* Mon Feb 20 2006 max@suse.de
- Fixed some serious warnings (#152208).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 max@suse.de
- Disabled parallel make.
* Tue Dec 13 2005 max@suse.de
- Fixed a typo in tcl.m4 that broke configure with bash 3.1.
* Wed Jul 27 2005 max@suse.de
- Moved shared libs to libdir and script library to /usr/share/tcl.
* Wed Jul  6 2005 max@suse.de
- Added missing includes to allow lightweight buffer overflow
  checking.
* Thu Jun  2 2005 ro@suse.de
- try to fix makefile deps
* Wed Apr 27 2005 max@suse.de
- Update to the final 1.3 version.
* Thu Nov 11 2004 ro@suse.de
- fixed file list
* Wed Jul 28 2004 max@suse.de
- Added tkimg-syslibs.patch to use the system-supplied versions of
  libtiff, libjpeg, and libpng (Bug #43008).
* Mon Mar  1 2004 max@suse.de
- New package: tkimg-1.3rc2
- An image format extension for Tk.
